> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.withpersona.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withpersona.com/_mcp/server.

# List all API keys

GET https://api.withpersona.com/api/v1/api-keys

Returns a list of your organization's API keys. Results are returned in reverse chronological order, with the most recently created objects first.

Reference: https://docs.withpersona.com/api-reference/api-keys/list-all-api-keys

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `page` (ApiKeysGetParametersPage, optional)
- `fields` (map from string to string, optional) — Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.
- `filter` (ApiKeysGetParametersFilter, optional)

### Headers

- `Key-Inflection` (enum, optional) — Determines casing for the API response.
  - Allowed values: `camel`, `kebab`, `snake`
- `Idempotency-Key` (string, optional) — Ensures the request is idempotent.
- `Persona-Version` (enum, optional) — Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).
  - Allowed values: `2025-12-08`, `2025-10-27`, `2023-01-05`, `2022-09-01`, `2021-08-18`, `2021-07-05`, `2021-02-21`, `2020-05-18`

## Response

### 200

This endpoint returns a collection of API key objects.

- `data` (list of api-key, required) — An array of API Keys
- `links` (ApiKeysGetResponsesContentApplicationJsonSchemaLinks, required)

## Errors

### 400 Bad Request Error

The request was unacceptable, often due to invalid parameters.

- `errors` (list of ApiKeysGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

An invalid API key was provided.

- `errors` (list of ApiKeysGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 403 Forbidden Error

The given API key doesn’t have permissions to perform the request or a quota has been exceeded.

- `errors` (list of ApiKeysGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 429 Too Many Requests Error

Your organization’s rate limit has been exceeded. We recommend an exponential backoff on requests.

- `errors` (list of ApiKeysGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

## Types

### ApiKeysGetParametersPage

- `after` (string, optional) — Object ID for pagination cursor
- `before` (string, optional) — Object ID for pagination cursor
- `size` (double, optional) — Limit on the number of objects returned

### ApiKeysGetParametersFilter

- `name` (string, optional) — Filter API keys by name

### api-key

An API Key resource

- `type` ("api-key", optional)
- `id` (string, optional)
- `attributes` (api-key-shared-attributes, optional)

### ApiKeysGetResponsesContentApplicationJsonSchemaLinks

- `next` (string, required, nullable)
- `prev` (string, required, nullable)

### ApiKeysGetResponsesContentApplicationJsonSchemaErrorsItems

- `title` (string, optional)
- `details` (string, optional)

### api-key-shared-attributes

- `name` (string, optional)
- `note` (string, optional, nullable)
- `api-version` (enum, optional) — Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).
  - Allowed values: `2025-12-08`, `2025-10-27`, `2023-01-05`, `2022-09-01`, `2021-08-18`, `2021-07-05`, `2021-02-21`, `2020-05-18`
- `api-key-inflection` (string, optional)
- `api-attributes-blocklist` (list of string, optional)
- `permissions` (list of string, optional)
- `ip-address-allowlist` (list of string, optional)
- `file-access-token-expires-in` (integer, optional)
- `last-used-at` (string, optional, nullable)
- `expires-at` (string, optional, nullable)
- `created-at` (datetime, optional)

## Examples

**Response**

```json
{
  "data": [
    {
      "type": "api-key",
      "id": "api_ABC123",
      "attributes": {
        "name": "Default API Key",
        "note": null,
        "api-version": "2023-01-05",
        "api-key-inflection": "kebab",
        "api-attributes-blocklist": [
          "address-*",
          "name-last",
          "/data/attributes/fields/*-number"
        ],
        "permissions": [
          "account.read",
          "account.write",
          "api_log.read"
        ],
        "ip-address-allowlist": [
          "*"
        ],
        "file-access-token-expires-in": 21600,
        "last-used-at": "2023-08-17T23:24:00.000Z",
        "expires-at": null,
        "created-at": "2023-08-17T23:18:13.000Z"
      }
    }
  ],
  "links": {
    "next": "/api/v1/api-keys?page%5Bafter%5D=api_ByBdXDqUrguLAHjGZMuDZLCx",
    "prev": null
  }
}
```

**SDK Code**

```python Success
import requests

url = "https://api.withpersona.com/api/v1/api-keys"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Success
const url = 'https://api.withpersona.com/api/v1/api-keys';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.withpersona.com/api/v1/api-keys"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Success
require 'uri'
require 'net/http'

url = URI("https://api.withpersona.com/api/v1/api-keys")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.withpersona.com/api/v1/api-keys")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.withpersona.com/api/v1/api-keys', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Success
using RestSharp;

var client = new RestClient("https://api.withpersona.com/api/v1/api-keys");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Success
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.withpersona.com/api/v1/api-keys")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```